summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJaroslav Lichtblau2014-11-28 20:17:14 +0100
committerJaroslav Lichtblau2014-11-28 20:17:14 +0100
commita9f49c28005b7efcf89548bbaaca4a25cfe7f56b (patch)
treea3d17c33fb3b9e60d3c517f8eb9e4a3a8051c7d4
downloadaur-a9f49c28005b7efcf89548bbaaca4a25cfe7f56b.tar.gz
Initial PKGBUILD status as of 28.11.2014
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD16
2 files changed, 32 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..97bc6550ae5
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = gnopaster
+ pkgdesc = gnopaste's submitter
+ pkgver = 0.0.9
+ pkgrel = 2
+ url = http://gnopaste.sourceforge.net/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = perl
+ depends = perl-libwww
+ depends = perl-config-simple
+ source = http://dl.sourceforge.net/sourceforge/gnopaste/gnopaster-0.0.9.pl.gz
+ md5sums = f4dc2382fb96feb8894f1f8c346c5987
+
+pkgname = gnopaster
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..a93d5d53252
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,16 @@
+# Contributor: Thomas Boerger <devel@ghcif.de>
+pkgname=gnopaster
+pkgver=0.0.9
+pkgrel=2
+pkgdesc="gnopaste's submitter"
+url="http://gnopaste.sourceforge.net/"
+depends=("perl" "perl-libwww"
+ "perl-config-simple")
+arch=("i686" "x86_64")
+license=("GPL")
+source=("http://dl.sourceforge.net/sourceforge/gnopaste/${pkgname}-${pkgver}.pl.gz")
+md5sums=("f4dc2382fb96feb8894f1f8c346c5987")
+
+build() {
+ install -Dm 755 ${startdir}/src/${pkgname}-${pkgver}.pl ${startdir}/pkg/usr/bin/${pkgname} || return 1
+}